san=compares(anorma1,anorma2);
sdn=compares(dnorma1,dnorma2);
sgn=compares(gnorma1,gnorma2);
sadn12=compares(anorma1,dnorma2);
sadn21=compares(anorma2,dnorma1);
sadn22=compares(anorma2,dnorma2);
sadn11=compares(anorma1,dnorma1);
sagn12=compares(anorma1,gnorma2);
sagn21=compares(anorma2,gnorma1);
sagn22=compares(anorma2,gnorma2);
sagn11=compares(anorma1,gnorma1);
sahn21=compares(anorma2,hnorma1);
sahn11=compares(anorma1,hnorma1);
shdn11=compares(hnorma1,dnorma1);
shdn12=compares(hnorma1,dnorma2);
sghn21=compares(gnorma2,hnorma1);
sghn11=compares(gnorma1,hnorma1);
sgdn12=compares(gnorma1,dnorma2);
sgdn21=compares(gnorma2,dnorma1);
sgdn22=compares(gnorma2,dnorma2);
sgdn11=compares(gnorma1,dnorma1);